# This Function is used to load other function to work space.
# Input: void
# Output: Void
# Parameter: basePath
# It tells where the other files and data are present
LoadCalculator <- function()	{

	# Parameter
	# Base path on which other source files present
	basePath<<-"Rsource\\Calculator\\"
	
	# General Function to read input data
	source("Rsource\\Utilities\\ReadInputData.R")
	# General Function to write output data
	source("Rsource\\Utilities\\WriteOutputData.R")

	
	# Loading Main Functions
	source(paste(basePath,"Main.R",sep=""))

	# Arithmetic Calculation
	source(paste(basePath,"GetSum.R",sep=""))
	source(paste(basePath,"GetDifference.R",sep=""))
	source(paste(basePath,"GetProduct.R",sep=""))
	source(paste(basePath,"GetDivision.R",sep=""))
	
	cat("\n All Required files are loaded successfully\n")
}
